import request from '@/utils/request';
/**
 * 学员管理 - 获取学员训练统计
 */
export const getTrainingStat = (params: any) => {
  return request.post('/edu-app/musicPracticeRecordStat/trainingStat', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 获取评测列表
 */
export const getPracticeRecordList = (params: any) => {
  return request.post('/edu-app/musicPracticeRecord/page', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 获取学生列表
 */
export const getStudentList = (params: any) => {
  return request.post('/edu-app/student/page', {
    data: params
  });
};

/**
 * 修改学生信息
 */
export const resetStudentInfo = (params: any) => {
  return request.post('/edu-app/student/update', {
    data: params
  });
};

/**
 * 获取学生课后训练
 */

export const getStudentAfterWork = (params: any) => {
  return request.post('/edu-app/lessonTraining/trainingTeacherList', {
    data: params,
    params
  });
};

/**
 * 获取学校详情
 */
export const schoolDetail = (params: any) => {
  return request.get('/edu-app/open/school/detail', {
    data: params,
    params
  });
};

/**
 * 设置评语
 */
export const api_setComment = (params: any) => {
  return request.post('/edu-app/lessonTraining/setComment', {
    data: params
  });
};

/**
 * 当前学级
 */
export const api_getCurrentGradeYear = (params: object) => {
  return request.post('/edu-app/student/getCurrentGradeYear', {
    data: params
  });
};

/**
 * 评测记录分页统计
 */
export const api_musicPracticeRecordPageStat = (params: object) => {
  return request.post('/edu-app/musicPracticeRecord/pageStat', {
    data: params
  })
}
